Subject: 'Incomplete maildomain "myhost."' SOLVED

From: Patti Johnson <[email-masked]>
Date: Tue, 06 Aug 1996 10:25:09 +0000

Hello all!  This question hasn't been asked in a while - but it was
asked this year, at least.  I never saw a final "reason," only a fix....
which works.  On a late night last week, my weakened brain tripped upon
the answer & I thought I'd share it...

I was getting the 'Incomplete maildomain "myhost."' error whenever I
started Pine 3.9x (3, I think) on my new Solaris 2.5 machine.  The same
software (Pine) had worked faultlessly for over a year on a similar
machine having Sol 2.4.  So, what's the difference?  Remember, I was
tired, but I vaguely remember that the /etc/hosts file is what made the
difference.  Pine gave the error whenever the machine name preceeded the
FQDN on its host line eg:
	123.45.678.9  mymachine mymachine.domain.name

But when I switch the two, Pine worked fine (without the change to the
pine.conf file):
	123.45.678.9  mymachine.domain.name mymachine

... seems Pine looks at the hosts file for its info - and only the first
entry at that.  Since "mymachine" isn't (obviously) a FQDN, it
complained.

BTW, for those of you moving to Solaris 2.5 from 2.4, I found that my
sendmail was handing out configuration errors to all who dared mail my
new machine.  seems it had found some kind of endless loop & was sending
mail to itself - and burped.  Turned out a change to my nsswitch.conf
file fixed that too.  Originally, the hosts line in there had "files
dns"  When I switch the order to "dns files" sendmail stopped
complaining.

FWIW,
take care
pj
-- 

-----------------------------------------------------------------------------
Patti Johnson (pj)                  |                       
[email-masked]
WCU Computer Center                 |
Western Carolina University         | "Now, if I had a brain and it
wasn't in
Cullowhee, N.C. 28723               |        my head, where would I keep
it?"
704-227-7282                        |                            -Ryan
Steele